ColumnDefinition (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.config
Class ColumnDefinition

    java.lang.Object
      org.apache.cassandra.config.ColumnDefinition

    public class ColumnDefinition

extends java.lang.Object

Field Summary
`java.nio.ByteBuffer` | `name`

Constructor Summary
`ColumnDefinition(java.nio.ByteBuffer name, AbstractType validator, IndexType index_type, java.util.Map<java.lang.String,java.lang.String> index_options, java.lang.String index_name)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`static ColumnDefinition` | `fromAvro(org.apache.cassandra.db.migration.avro.ColumnDef cd)`
`static ColumnDefinition` | `fromThrift(ColumnDef thriftColumnDef)`
`static java.util.Map<java.nio.ByteBuffer,ColumnDefinition>` | `fromThrift(java.util.List<ColumnDef> thriftDefs)`
`java.lang.String` | `getIndexName()`
`java.util.Map<java.lang.String,java.lang.String>` | `getIndexOptions()`
`IndexType` | `getIndexType()`
`static java.util.Map<java.lang.String,java.lang.String>` | `getStringMap(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> charMap)`
`AbstractType` | `getValidator()`
`int` | `hashCode()`
`void` | `setIndexName(java.lang.String s)`
`void` | `setIndexType(IndexType index_type, java.util.Map<java.lang.String,java.lang.String> index_options)`
`void` | `setValidator(AbstractType validator)`
`org.apache.cassandra.db.migration.avro.ColumnDef` | `toAvro()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public final java.nio.ByteBuffer name

Constructor Detail

### ColumnDefinition

    public ColumnDefinition(java.nio.ByteBuffer name,
                            AbstractType validator,
                            IndexType index_type,
                            java.util.Map<java.lang.String,java.lang.String> index_options,
                            java.lang.String index_name)
                     throws ConfigurationException

Throws:
  `ConfigurationException`

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toAvro

    public org.apache.cassandra.db.migration.avro.ColumnDef toAvro()

### fromAvro

    public static ColumnDefinition fromAvro(org.apache.cassandra.db.migration.avro.ColumnDef cd)

### fromThrift

    public static ColumnDefinition fromThrift(ColumnDef thriftColumnDef)
                                       throws ConfigurationException

  Throws:
    `ConfigurationException`

### fromThrift

    public static java.util.Map<java.nio.ByteBuffer,ColumnDefinition> fromThrift(java.util.List<ColumnDef> thriftDefs)
                                                                          throws ConfigurationException

  Throws:
    `ConfigurationException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getIndexName

    public java.lang.String getIndexName()

### setIndexName

    public void setIndexName(java.lang.String s)

### setIndexType

    public void setIndexType(IndexType index_type,
                             java.util.Map<java.lang.String,java.lang.String> index_options)
                      throws ConfigurationException

  Throws:
    `ConfigurationException`

### getIndexType

    public IndexType getIndexType()

### getIndexOptions

    public java.util.Map<java.lang.String,java.lang.String> getIndexOptions()

### getValidator

    public AbstractType getValidator()

### setValidator

    public void setValidator(AbstractType validator)

### getStringMap

    public static java.util.Map<java.lang.String,java.lang.String> getStringMap(java.util.Map<java.lang.CharSequence,java.lang.CharSequence> charMap)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation